{% extends 'base.html' %}
{% load crispy_forms_filters %}
{% load static %}

{% block pagetitle %} Contact {% endblock %}

{% block main %}

    <div id="main">
        <div class="inner">
            <h1>Contact Us</h1>
            {% for contact_ in contact %}
                <span class="image main"><img src="{{ contact_.map_imageURL }}" alt=""/></span>
            {% endfor %}
        </div>
    </div>

{% endblock %}

{% block footer %}
    <footer id="footer">
        <div class="inner">
            <section>
                <h2>Contact Us</h2>
                <form action="" method="post" enctype="multipart/form-data">{% csrf_token %}
                    <div class="fields">
                        <div class="field half">
                            {{ form.first_name | as_crispy_field}}
                        </div>
                        <div class="field half">
                            {{ form.last_name | as_crispy_field}}
                        </div>
                        <div class="field half">
                            {{ form.email | as_crispy_field}}
                        </div>
                        <div class="field">
                            {{ form.subject | as_crispy_field}}
                        </div>
                        <div class="field">
                            {{ form.message | as_crispy_field}}
                        </div>

                        <div class="field text-right">
                            <label>&nbsp;</label>

                            <ul class="actions">
                                <li><input type="submit" value="Send Message" class="primary"/></li>
                            </ul>
                        </div>
                    </div>
                </form>
            </section>
            <section>

                <h2>Contact Info</h2>
                <ul class="alt">
                    {% for contact_ in contact %}
                        <li><span class="fa fa-envelope-o"></span> {{ contact_.email }}</li>
                        <li><span class="fa fa-phone"></span> {{ contact_.phone_no }}</li>
                        <li><span class="fa fa-map-pin"></span> {{ contact_.address }}</li>
                    {% endfor %}
                </ul>

                <h2>Follow Us</h2>

                <ul class="icons">
                    <li>
                        <a href="https://twitter.com/" target="_blank"
                           class="icon style2 fa-twitter"><span class="label">Twitter</span></a>
                    </li>
                    <li>
                        <a href="https://www.facebook.com/" target="_blank"
                           class="icon style2 fa-facebook"><span class="label">Facebook</span></a>
                    </li>
                    <li>
                        <a href="https://www.instagram.com/" target="_blank"
                           class="icon style2 fa-instagram"><span class="label">Instagram</span></a>
                    </li>
                    <li>
                        <a href="https://www.linkedin.com/" target="_blank"
                           class="icon style2 fa-linkedin"><span class="label">LinkedIn</span></a>
                    </li>
                </ul>
                </ul>
            </section>

            <ul class="copyright">
                <li>Copyright © 2020 Company Name</li>
                <li>Template by: <a href="https://www.phpjabbers.com/">PHPJabbers.com</a></li>
            </ul>
        </div>
    </footer>
{% endblock %}